## DzlColumnLayout DzlColumnLayout |

## Functions

GtkWidget * | dzl_column_layout_new ()
guint | dzl_column_layout_get_max_columns ()
void | dzl_column_layout_set_max_columns ()
gint | dzl_column_layout_get_column_width ()
void | dzl_column_layout_set_column_width ()
gint | dzl_column_layout_get_column_spacing ()
void | dzl_column_layout_set_column_spacing ()
gint | dzl_column_layout_get_row_spacing ()
void | dzl_column_layout_set_row_spacing ()

## Properties

gint | column-spacing | Read / Write
gint | column-width | Read / Write
guint | max-columns | Read / Write
gint | row-spacing | Read / Write

## Types and Values

#define | DZL_TYPE_COLUMN_LAYOUT
struct | DzlColumnLayoutClass
| DzlColumnLayout

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlColumnLayout
                        ╰── DzlPreferencesFlowBox

## Implemented Interfaces

DzlColumnLayout implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_column_layout_new ()

    GtkWidget *
    dzl_column_layout_new (void);

### dzl_column_layout_get_max_columns ()

    guint
    dzl_column_layout_get_max_columns (DzlColumnLayout *self);

### dzl_column_layout_set_max_columns ()

    void
    dzl_column_layout_set_max_columns (DzlColumnLayout *self,
                                       guint max_columns);

### dzl_column_layout_get_column_width ()

    gint
    dzl_column_layout_get_column_width (DzlColumnLayout *self);

### dzl_column_layout_set_column_width ()

    void
    dzl_column_layout_set_column_width (DzlColumnLayout *self,
                                        gint column_width);

### dzl_column_layout_get_column_spacing ()

    gint
    dzl_column_layout_get_column_spacing (DzlColumnLayout *self);

### dzl_column_layout_set_column_spacing ()

    void
    dzl_column_layout_set_column_spacing (DzlColumnLayout *self,
                                          gint column_spacing);

### dzl_column_layout_get_row_spacing ()

    gint
    dzl_column_layout_get_row_spacing (DzlColumnLayout *self);

### dzl_column_layout_set_row_spacing ()

    void
    dzl_column_layout_set_row_spacing (DzlColumnLayout *self,
                                       gint row_spacing);

## Types and Values

### DZL_TYPE_COLUMN_LAYOUT

    #define DZL_TYPE_COLUMN_LAYOUT (dzl_column_layout_get_type())

### struct DzlColumnLayoutClass

    struct DzlColumnLayoutClass {
      GtkContainerClass parent;
    };

### DzlColumnLayout

    typedef struct _DzlColumnLayout DzlColumnLayout;

## Property Details

### The `“column-spacing”` property

      “column-spacing”           gint

The spacing between columns.

Flags: Read / Write

Allowed values: >= 0

Default value: 24

### The `“column-width”` property

      “column-width”             gint

The width of the columns.

Flags: Read / Write

Allowed values: >= 0

Default value: 500

### The `“max-columns”` property

      “max-columns”              guint

Max Columns.

Flags: Read / Write

Allowed values: <= G_MAXLONG

Default value: 0

### The `“row-spacing”` property

      “row-spacing”              gint

The spacing between rows.

Flags: Read / Write

Allowed values: >= 0

Default value: 24